{% load humanize %}

{% if documents %}
<table class="table">
  <thead>
    <tr>
      <th>Archivo</th>
      <th>Descripción</th>
      <th>Tipo</th>
      <th>Fecha de creación</th>
      <th>Agente</th>
      <th style="min-width: 155px;">Acciones</th>
    </tr>
  </thead>
  <tbody>
    {% for doc in documents %}
    <tr>
      <td><i class="ti-pencil-alt"> </i> <a href="{{ doc.pk }}/edit/">{{ doc.file.name }}</a></td>
      <td>{{ doc.description }}</td>
      <td>{{ doc.extension|upper }}</td>
      <td><span title="{{ doc.created_at|naturaltime }}"><i class="ti-time"> </i> {{ doc.created_at }}</span></td>
      <td>{{ doc.agent|default:"matrix"}}</td>
      <td>
        <a href="{{ doc.file.url }}" class="btn btn-primary" target="_blank">
          <i class="fa fa-eye"></i>
        </a>
        <a href="{{ doc.file.url }}" class="btn btn-success" target="_blank" download>
          <i class="fa fa-download"></i>
        </a>
        
     </td>
    </tr>
    {% empty %}
    {% endfor %}
  </tbody>
</table>
{% else %}
<p class="text-center">No hay documentos aún.</p>
{% endif %}
